Skip to main content

Account Trade List

Get trade history for a symbol on the account. Only trades within the last month can be queried; use the web client export for more history (up to 540 days).

HTTP Request

  • GET /api/v3/myTrades

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 10

Request Parameters

NameTypeMandatoryDescription
symbolstringYES
orderIdstringNOorder Id
startTimelongNOStart time, Unix millisecond timestamp
endTimelongNOEnd time, Unix millisecond timestamp
limitintNODefault 100; max 100;
recvWindowlongNO
timestamplongYES

Response Parameters

NameDescription
symbol
iddeal id
orderIdorder id
orderListIdOrder list ID
pricePrice
qtyQuantity
quoteQtyDeal quantity
commission
commissionAsset
timeTrade time
isBuyerWhether the account was the buyer for this trade
isMakerWhether the account was the maker for this trade
isBestMatch
isSelfTradeisSelfTrade
clientOrderIdclientOrderId

Response

[
{
"symbol": "BNBBTC",
"id": "fad2af9e942049b6adbda1a271f990c6",
"orderId": "bb41e5663e124046bd9497a3f5692f39",
"orderListId": -1,
"price": "4.00000100",
"qty": "12.00000000",
"quoteQty": "48.000012",
"commission": "10.10000000",
"commissionAsset": "BNB",
"time": 1499865549590,
"isBuyer": true,
"isMaker": false,
"isBestMatch": true,
"isSelfTrade": true,
"clientOrderId": null
}
]